%define name    pxe 
%define version 1.4.2
%define release %mkrel 12

%define tftpbase /var/lib/tftpboot

Name:           %{name}
Summary:        A Linux PXE (Preboot eXecution Environment) package
Group:          System/Servers
Version:        %{version}
Release:        %{release}
License:        GPL
URL: 		http://www.kano.org.uk/projects/pxe
Requires:       chkconfig, dhcp-server, textutils, grep, tftp-server, pxelinux
Provides:	pxeserver
BuildRoot:      %{_tmppath}/%{name}-%{version}
Requires(post): rpm-helper
Requires(preun): rpm-helper

Source:		http://www.kano.org.uk/projects/pxe/%{name}-%{version}.tar.gz
Source1: 	pxe
Source2: 	pxe.conf
Source3:	dhcpd.conf.pxe
#Source8:	default
#Source9:	messages
Source10:	elilo.efi
Source11:	elilo.txt
Source12:	elilovars.txt
Source13:	elilo.conf
#Source14:	help.txt
Patch0:		pxe-1.4.patch.bz2
Patch3:		pxe-autoconf.patch.bz2
Patch4:		pxe-mtftp.patch.bz2
Patch7:		pxe-segfault_on_exit.patch.bz2

%package	bootstraps
Summary:	A compilation of Linux PXE (Preboot eXecution Environment) Bootstraps
Group:		System/Servers
%ifarch %{ix86}
BuildRequires:	dev86-devel
%endif
Requires:	syslinux >= 1.67
Source5:	pxe-linux.tar.bz2
Source6:	grubNBI.tar.bz2
Source7:	pxedoc.tar.bz2
Patch1:		pxe-1.0-cmdlinearg.patch.bz2
Patch2:	 	pxe-linux-config.patch.bz2


%description bootstraps
This package contains a compiltation of PXE bootstraps.

%description 
The pxe package contains the PXE (Preboot eXecution Environment)
server and code needed for Linux to boot from a boot disk image on a
Linux PXE server.


%prep 
rm -rf ${RPM_BUILD_ROOT}
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 5
%setup -q -T -D -a 6
%setup -q -T -D -a 7
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch7 -p0

%build
%configure
%make

%install
myname=`id -un`
mygroup=`id -gn`
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}
#mkdir -p %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg
mkdir -p %{buildroot}%{tftpbase}/IA64PC/linux/

install -m755 %{_builddir}/%{name}-%{version}/pxe %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/pxe
install -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/pxe.conf
install -m755 %{SOURCE3} %{buildroot}%{_sysconfdir}/dhcpd.conf.pxe
#install -m644 %{SOURCE8} %{buildroot}%{tftpbase}/X86PC/linux/pxelinux.cfg/default
#install -m644 %{SOURCE9} %{buildroot}%{tftpbase}/X86PC/linux/messages
install -m644 %{SOURCE10} %{buildroot}%{tftpbase}/IA64PC/linux/linux.0
install -m644 %{SOURCE11} %{buildroot}%{tftpbase}/IA64PC/linux/
install -m644 %{SOURCE12} %{buildroot}%{tftpbase}/IA64PC/linux/
install -m644 %{SOURCE13} %{buildroot}%{tftpbase}/IA64PC/linux/linux.1
#install -m644 %{SOURCE14} %{buildroot}%{tftpbase}/X86PC/linux/help.txt

%clean
rm -rf ${RPM_BUILD_ROOT}

%post 
%_post_service pxe
mkdir -p %{tftpbase}/X86PC/linux

%preun
%_preun_service pxe

%files bootstraps
%defattr(-,root,root)
%doc grubNBI/*

%files
%defattr(-,root,root)
%doc README LICENCE INSTALL Changes pxedoc/*
%attr(755,root,root) %{_sbindir}/pxe
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/pxe.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/dhcpd.conf.pxe
#%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux//pxelinux.cfg/default
#%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux//messages
#%attr(644,root,root) %config(noreplace) %{tftpbase}/X86PC/linux/help.txt
%attr(755,root,root) %{_initrddir}/pxe
%{tftpbase}/IA64PC/linux


%changelog
* Fri Feb 09 2007 Erwan Velu <erwan@mandriva.org> 1.4.2-12mdv2007.0
+ Revision: 118455
- Rebuild
- Import pxe



* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.4.2-11mdk
- drop some useless rpm tags
- fix typo in initscript

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.4.2-10mdk
- convert parallel init to LSB
- mkrel
- fix incorrect Requires(X)
- remove useless ldconfig postun

* Mon Jan  2 2006 Olivier Blin <oblin@mandriva.com> 1.4.2-9mdk
- parallel init support

* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com>  1.4.2-8mdk
- Removing pxelinux stuff

* Mon Jun 13 2005 Erwan Velu <erwan@seanodes.com> 1.4.2-7mdk
- Fixing x86_64 build

* Mon Jun 13 2005 Erwan Velu <erwan@seanodes.com> 1.4.2-6mdk
- Fixing rights & stupid things

* Tue Feb 08 2005 Erwan Velu <erwan@seanodes.com> 1.4.2-5mdk
- Fixing requires

* Mon Jan 31 2005 Pascal Terjan <pterjan@mandrake.org> 1.4.2-4mdk
- Drop nbp

* Tue Sep 14 2004 Pascal Terjan <pterjan@mandrake.org> 1.4.2-3mdk
- Fix a segfault when run without -d

* Tue Aug 03 2004 Erwan Velu <erwan@mandrakesoft.com> 1.4.2-2mdk
- Fixing pxelinux sample configuration (thx aginies)

* Wed Jul 21 2004 Erwan Velu <erwan@mandrakesoft.com> 1.4.2-1mdk
- 1.4.2
- Adding prereq
- Rpmbuildupdate aware
* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.4.1-2mdk
- Rebuild

* Mon Apr 05 2004 Erwan Velu <erwan@mandrakesoft.com> 1.4.1-1mdk
- New release
- Remove patch6 (merged upstream)
* Wed Aug 27 2003 Erwan <erwan@mandrakesoft.com> 1.4.0-5mdk
- Fixing typo in initscript
* Mon Aug 25 2003 Erwan <erwan@mandrakesoft.com> 1.4.0-4mdk
- Fixing broken changelog (tv should be happy)
* Mon Aug 25 2003 Erwan <erwan@mandrakesoft.com> 1.4.0-3mdk
- Updates for syslinux 2.6
* Tue Aug 12 2003 Erwan Velu <erwan@mandrakesoft.com> 1.4.0-2mdk
- Fixing initscripts (better startup after system crash)
- Relocation of /var/lib/tftpboot/PXEClient in /var/lib/tftpboot/X86PC/linux
- Adding new "message"
- Adding help.txt on F1 button
* Mon Mar 31 2003 Erwan Velu  <erwan@ke.mandrakesoft.com> 1.4.0-1mdk
- Fixing wrong tmp path for pxe.pid
- New release
* Fri Feb 28 2003 Erwan Velu <erwan@mandrakesoft.com> 1.3.0-2mdk
- Adding noreplace to messages & default (BlueSky patch)
* Wed Jan 29 2003 Erwan Velu  <erwan@no.mandrakesoft.com> 1.3.0-1mdk
- New release of pxe service 1.3
- Adding arch_id patch
- Adding no_infinite_loop patch
- Adding IA64 entry in /etc/pxe.conf
* Thu Jan 16 2003 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-27mdk
- Rebuild for new glibc
- Cleaning source tree (old config, backups, etc..)
- Fixing bcc CCFLAGS in nbp.linux Makefile
* Wed Sep 28 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-26mdk
- Removing broken and unused "sample" package
* Tue Aug 27 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-25mdk
- Change the default boot message
- Change the default bootstrap for 3com adapters (switching nbp to pxelinux)
* Tue Aug 27 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-24mdk
- Fixing post script on sample sub package
* Wed Aug 21 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-23mdk
- Rebuild
* Fri Aug 9 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-22mdk
- Fixing missing fixes about tftpboot
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.0-21mdk
- build with gcc 3.2
- change /tftpboot to /var/lib/tftpboot (LSB)
* Sat Jul 06 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-20mdk
- Fixing special PXE options that remove routes options
* Thu Jul 05 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-19mdk
- Fixing dhcpd.conf.pxe for wrong options in main class
* Thu Jul 04 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-18mdk
- Added tags in dhcpd.conf.pxe for  clusterautosetup-server
* Fri Jun 17 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-17mdk
- Adding next-server option in dhcpd.conf.pxe for clusterautosetup-client
* Thu Jun 06 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-16mdk
- Fixing wrong place in init scripts.
- Fixing wrong place of pid lock file.
- Misc changes in default dhcp config file.
* Thu Jun 06 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-15mdk
- Fixing typos in dhcpd.conf.pxe
- Fixing wrong version of pxelinux.0 in pxe-sample package
* Thu May 30 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-14mdk
- Fixing missing dependencies
* Thu May 30 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-13mdk
- Fixing Initscript problem (many net interfaces case)
- Fixing Pxe server : moving its pid lock file and logs in right directory
* Thu May 23 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-12mdk
- Added special options for pxelinux
* Fri May 17 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-11mdk
- gcc 3.1 build
* Fri Apr 26 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-10mdk
- Fixing missing dependencies (dhcp-server) 
# This dependencies wasn't set because your pxe server (tftp files)
# can be installed on a different server than your dhcp server
# but that's not the most common case so the dependencies is re-set.
* Wed Mar 27 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-9mdk
- Fixing wrong place of memdisk in package syslinux
* Tue Mar 12 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-8mdk
- Fixing wrong place of pxelinux.0 in package syslinux 
* Wed Mar 06 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-7mdk
- Fixing error in pxe init script
* Fri Feb 27 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-6mdk
- Updating documentation
* Fri Feb 26 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-5mdk
- Adding pxelinux.0 (syslinux pxe) in default configuration
- Adding linux.0 (nbp pxe) in default configuration
- Removing dependencies on dhcpd-server & tftp-server, adding warnings.
- Adding new version of documentation
* Fri Feb 25 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-4mdk
- Splitting bootstraps in a third party package
- Adding html documentation version 1.0
* Fri Feb 22 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-3mdk
- Fixing dhcpd.conf.pxe
- Fixing tree architecture of pxe-sample
* Mon Feb 18 2002 Erwan Velu <erwan@mandrakesoft.com> 1.2.0-2mdk
- Fixing scripts and configuration files
- Added sample subpackage
* Fri Feb 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.2.0-1mdk
- First realease for Mandrakesoft
